import React from 'react';
import type { FoundationListDataProviderContextType, FoundationListDataProviderData, FoundationListDataProviderProps } from './types';
export declare function FoundationListDataProvider<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>, TOptions = never>({ children, fetchData, initialFetchDataOptions, initialLimit, initialSortBy, initialSortDirection, }: FoundationListDataProviderProps<TRowData, TData, TOptions>): React.ReactElement;
export declare function FoundationListDataConsumer<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>, TOptions = never>({ children, }: {
    children: (context: FoundationListDataProviderContextType<TRowData, TData, TOptions>) => React.ReactNode;
}): React.ReactElement;
export declare function useListDataProvider<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>, TOptions = never>(): FoundationListDataProviderContextType<TRowData, TData, TOptions>;
